Subject: Re: bug#31936: 26.1; Fatal error 6: Aborted, when unflagging mail in mu4e header buffer

From: Dominik Schrempf <[email-masked]>
Date: Sat, 23 Jun 2018 15:49:21 +0200

Hello,

you are right. Thanks for the info.

Regards,
Dominik

[Sat Jun 23 14:51:14 dominik@schwarzbaer: ~]$        XFT_DEBUG=16 emacs -xrm 
"emacs.synchronous: true"
XFT_DEBUG=16
FontFile /usr/share/fonts/TTF/DejaVuSansMono.ttf/0 matches new
Loading file /usr/share/fonts/TTF/DejaVuSansMono.ttf/0
FontFile /usr/share/fonts/TTF/DejaVuSansMono-Oblique.ttf/0 matches new
Loading file /usr/share/fonts/TTF/DejaVuSansMono-Oblique.ttf/0
FontFile /usr/share/fonts/TTF/DejaVuSansMono.ttf/0 matches existing (2)
FontFile /usr/share/fonts/TTF/DejaVuSansMono.ttf/0 matches existing (2)
FontFile /usr/share/fonts/TTF/DejaVuSansMono.ttf/0 matches existing (2)
FontFile /usr/share/fonts/TTF/DejaVuSansMono-Bold.ttf/0 matches new
Loading file /usr/share/fonts/TTF/DejaVuSansMono-Bold.ttf/0
FontFile /usr/share/fonts/TTF/DejaVuSansMono.ttf/0 matches existing (2)
FontFile /usr/share/fonts/TTF/DejaVuSansMono.ttf/0 matches existing (2)
FontFile 
/usr/share/fonts/mathjax/HTML-CSS/STIX-Web/woff/STIXMathJax_Misc-Regular.woff/0 
matches new
Loading file 
/usr/share/fonts/mathjax/HTML-CSS/STIX-Web/woff/STIXMathJax_Misc-Regular.woff/0
FontFile /usr/share/fonts/TTF/DejaVuSans.ttf/0 matches new
Loading file /usr/share/fonts/TTF/DejaVuSans.ttf/0
FontFile /usr/share/fonts/noto/NotoColorEmoji.ttf/0 matches new
Loading file /usr/share/fonts/noto/NotoColorEmoji.ttf/0

Robert Pluim <[email-masked]> writes:

> Dominik Schrempf <[email-masked]> writes:
>
>> Hello,
>>
>> when I try to unflag mail in the mu4e header view buffer, Emacs crashes with
>> "Fatal error 6: Aborted". The backtrace and information about my environment 
>> can
>> be found below.
>>
>
> This looks like another occurence of 30874. We recently added the
> following the etc/DEBUG:
>
>      For X protocol errors related to displaying unusual characters or to
>      font-related customizations, try invoking Emacs like this:
>
>        XFT_DEBUG=16 emacs -xrm "emacs.synchronous: true"
>
> which should give an indication the XFT was loading some kind of emoji
> font just before emacs crashed if itʼs the same issue.
>
> If it is the same, we recently fixed this bug in the latest versions
> of emacs-26 and the master branch, which are available from our git
> repository.
>
> Regards
>
> Robert